use axum::Router;
use sqlx::PgPool;

use crate::{db::AvailableDb, AppCtx};

mod magic;
mod model;
mod track;

pub fn routes() -> Router<AppCtx> {
    Router::new()
        // .nest("/track", track::routes())
        .nest("/magic", magic::routes())
}
