use axum::http::StatusCode;
use tracing::error;

pub fn internal_error<E: std::error::Error>(err: E) -> (StatusCode, String) {
    error!("{err:?}");
    (StatusCode::INTERNAL_SERVER_ERROR, "Server Error".into())
}
