-- Add migration script here
CREATE TABLE Person (
    id UUID PRIMARY KEY,
    username VARCHAR(64) NOT NULL,
    displayname VARCHAR(64),
    is_admin BOOLEAN NOT NULL DEFAULT FALSE,
    host VARCHAR(64) NOT NULL
);

CREATE TABLE Play (
    id UUID PRIMARY KEY,
    person UUID REFERENCES Person(id),
    started_at TIMESTAMP NOT NULL,
    mbid VARCHAR(64),
    track_name VARCHAR(64) NOT NULL
);

CREATE TABLE Magic (
    token CHAR(64) PRIMARY KEY,
    id UUID NOT NULL REFERENCES Person(id),
    created_at TIMESTAMP NOT NULL,
    max_age INTERVAL NOT NULL DEFAULT '1 day'
);

CREATE TABLE Token (
    refresh_token VARCHAR PRIMARY KEY
);